NXWidgets: NXWidgets::CRadioButtonGroup Class Reference

NXWidgets 1.19

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NXWidgets::CRadioButtonGroup Class Reference

`#include <cradiobuttongroup.hxx>`

Inheritance diagram for NXWidgets::CRadioButtonGroup:

## Public Member Functions
| CRadioButtonGroup (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, CWidgetStyle *style=(CWidgetStyle *) NULL)
| ~CRadioButtonGroup (void)
CRadioButton * | newRadioButton (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
virtual const CRadioButton * | getSelectedWidget (void) const
virtual const int | getSelectedIndex (void) const
virtual void | setSelectedWidget (CRadioButton *widget)
virtual void | setSelectedIndex (int index)
virtual void | getPreferredDimensions (CRect &rect) const
virtual void | handleClickEvent (const CWidgetEventArgs &e)
virtual void | handleDoubleClickEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const CWidgetEventArgs &e)
Public Member Functions inherited from NXWidgets::CNxWidget
| CNxWidget (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, uint32_t flags, FAR const CWidgetStyle *style=(FAR const CWidgetStyle *) NULL)
virtual | ~CNxWidget (void)
nxgl_coord_t | getX (void) const
nxgl_coord_t | getY (void) const
nxgl_coord_t | getRelativeX (void) const
nxgl_coord_t | getRelativeY (void) const
bool | hasFocus (void) const
bool | isDeleted (void) const
bool | isDrawingEnabled (void) const
bool | isHidden (void) const
bool | isEnabled (void) const
bool | isPermeable (void) const
bool | isDoubleClickable (void) const
bool | isBorderless (void) const
bool | isClicked (void) const
bool | isBeingDragged (void) const
nxgl_coord_t | getWidth (void) const
nxgl_coord_t | getHeight (void) const
void | getSize (struct nxgl_size_s &size) const
void | getPos (struct nxgl_point_s &pos) const
CRect | getBoundingBox (void)
void | getBorderSize (WidgetBorderSize &borderSize)
CNxWidget * | getParent (void) const
CNxWidget * | getFocusedWidget (void)
void | getClientRect (CRect &rect) const
void | getRect (CRect &rect) const
CNxFont * | getFont (void) const
nxgl_mxpixel_t | getBackgroundColor (void) const
nxgl_mxpixel_t | getSelectedBackgroundColor (void) const
nxgl_mxpixel_t | getShineEdgeColor (void) const
nxgl_mxpixel_t | getShadowEdgeColor (void) const
nxgl_mxpixel_t | getHighlightColor (void) const
nxgl_mxpixel_t | getDisabledTextColor (void) const
nxgl_mxpixel_t | getEnabledTextColor (void) const
nxgl_mxpixel_t | getSelectedTextColor (void) const
const CWidgetStyle * | getWidgetStyle () const
void | setBorderless (bool isBorderless)
void | setDraggable (bool isDraggable)
void | setPermeable (bool permeable)
void | setDoubleClickable (bool doubleClickable)
void | addWidgetEventHandler (CWidgetEventHandler *eventHandler)
void | removeWidgetEventHandler (CWidgetEventHandler *eventHandler)
int | nWidgetEventHandlers (void) const
void | setRaisesEvents (bool raises)
bool | raisesEvents (void) const
void | disableDrawing (void)
void | enableDrawing (void)
void | setBackgroundColor (nxgl_mxpixel_t color)
void | setSelectedBackgroundColor (nxgl_mxpixel_t color)
void | setShineEdgeColor (nxgl_mxpixel_t color)
void | setShadowEdgeColor (nxgl_mxpixel_t color)
void | setHighlightColor (nxgl_mxpixel_t color)
void | setDisabledTextColor (nxgl_mxpixel_t color)
void | setEnabledTextColor (nxgl_mxpixel_t color)
void | setSelectedTextColor (nxgl_mxpixel_t color)
virtual void | setFont (CNxFont *font)
void | redraw (void)
bool | enable (void)
bool | disable (void)
void | close (void)
bool | show (void)
bool | hide (void)
virtual bool | click (nxgl_coord_t x, nxgl_coord_t y)
virtual bool | isDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | doubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | release (nxgl_coord_t x, nxgl_coord_t y)
bool | drag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
bool | keyPress (nxwidget_char_t key)
bool | cursorControl (ECursorControl control)
bool | focus (void)
bool | blur (void)
bool | moveTo (nxgl_coord_t x, nxgl_coord_t y)
bool | resize (nxgl_coord_t width, nxgl_coord_t height)
bool | changeDimensions (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
void | moveChildToDeleteQueue (CNxWidget *widget)
void | setFocusedWidget (CNxWidget *widget)
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y) const
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height) const
bool | checkCollision (CNxWidget *widget) const
void | addWidget (CNxWidget *widget)
void | insertWidget (CNxWidget *widget)
void | setParent (CNxWidget *parent)
void | destroy (void)
bool | remove (void)
bool | removeChild (CNxWidget *widget)
const CNxWidget * | getChild (int index) const
int | getChildCount (void) const
void | setBorderSize (const WidgetBorderSize &borderSize)
Public Member Functions inherited from NXWidgets::CWidgetEventHandler
| CWidgetEventHandler ()
virtual | ~CWidgetEventHandler ()
virtual void | handleDragEvent (const CWidgetEventArgs &e)
virtual void | handleDropEvent (const CWidgetEventArgs &e)
virtual void | handleKeyPressEvent (const CWidgetEventArgs &e)
virtual void | handleCursorControlEvent (const CWidgetEventArgs &e)
virtual void | handleFocusEvent (const CWidgetEventArgs &e)
virtual void | handleBlurEvent (const CWidgetEventArgs &e)
virtual void | handleCloseEvent (const CWidgetEventArgs &e)
virtual void | handleHideEvent (const CWidgetEventArgs &e)
virtual void | handleShowEvent (const CWidgetEventArgs &e)
virtual void | handleEnableEvent (const CWidgetEventArgs &e)
virtual void | handleDisableEvent (const CWidgetEventArgs &e)
virtual void | handleValueChangeEvent (const CWidgetEventArgs &e)
virtual void | handleResizeEvent (const CWidgetEventArgs &e)
virtual void | handleMoveEvent (const CWidgetEventArgs &e)
virtual void | handleScrollEvent (const CWidgetEventArgs &e)
virtual void | handleActionEvent (const CWidgetEventArgs &e)

## Protected Member Functions
virtual void | drawContents (CGraphicsPort *port)
| CRadioButtonGroup (const CRadioButtonGroup &radioButtonGroup)
Protected Member Functions inherited from NXWidgets::CNxWidget
void | useWidgetStyle (const CWidgetStyle *style)
virtual void | drawBorder (CGraphicsPort *port)
void | drawChildren (void)
void | closeChild (CNxWidget *widget)
void | startDragging (nxgl_coord_t x, nxgl_coord_t y)
void | stopDragging (nxgl_coord_t x, nxgl_coord_t y)
| CNxWidget (const CNxWidget &widget)
virtual void | onClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onPreRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onReleaseOutside (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDrag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
virtual void | onDragStart (void)
virtual void | onDragStop (void)
virtual void | onFocus (void)
virtual void | onBlur (void)
virtual void | onEnable (void)
virtual void | onDisable (void)
virtual void | onResize (nxgl_coord_t width, nxgl_coord_t height)

## Protected Attributes
CWidgetControl * | m_pWidgetControl
CRadioButton * | m_selectedWidget
Protected Attributes inherited from NXWidgets::CNxWidget
CWidgetControl * | m_widgetControl
CRect | m_rect
nxgl_coord_t | m_grabPointX
nxgl_coord_t | m_grabPointY
nxgl_coord_t | m_newX
nxgl_coord_t | m_newY
CWidgetStyle | m_style
Flags | m_flags
CWidgetEventHandlerList * | m_widgetEventHandlers
struct timespec | m_lastClickTime
nxgl_coord_t | m_lastClickX
nxgl_coord_t | m_lastClickY
int | m_doubleClickBounds
CNxWidget * | m_parent
CNxWidget * | m_focusedChild
TNxArray< CNxWidget * > | m_children
WidgetBorderSize | m_borderSize

## Additional Inherited Members
Public Types inherited from NXWidgets::CNxWidget
enum | WidgetFlagType { WIDGET_BORDERLESS = 0x0001, WIDGET_DRAGGABLE = 0x0002, WIDGET_PERMEABLE = 0x0004, WIDGET_DOUBLE_CLICKABLE = 0x0008, WIDGET_NO_RAISE_EVENTS = 0x0010 }

## Detailed Description

Container class that holds radio button widgets and tracks their status. The group provides an easy way to determine which radio button is selected. Note that, in order to set the "mu" state for a radio button, it is necessary to set the state via the radio button, not the group.

Definition at line 112 of file cradiobuttongroup.hxx.

## Constructor & Destructor Documentation

## ◆ CRadioButtonGroup() [1/2]

NXWidgets::CRadioButtonGroup::CRadioButtonGroup | ( | const CRadioButtonGroup & | radioButtonGroup | ) |
| inlineprotected

Copy constructor is protected to prevent usage.

Definition at line 131 of file cradiobuttongroup.hxx.

## ◆ CRadioButtonGroup() [2/2]

CRadioButtonGroup::CRadioButtonGroup | ( | CWidgetControl * | pWidgetControl,
|  | nxgl_coord_t | x,
|  | nxgl_coord_t | y,
|  | CWidgetStyle * | style = `(CWidgetStyle *)NULL`
| ) |  |

Constructor. Note that the group determines its width and height from the position and dimensions of its children.

Parameters

  pWidgetControl | The controlling widget for the display.
  x | The x coordinate of the group.
  y | The y coordinate of the group.
  style | The style that the button should use. If this is not specified, the button will use the global default widget style.

Definition at line 108 of file cradiobuttongroup.cxx.

## ◆ ~CRadioButtonGroup()

NXWidgets::CRadioButtonGroup::~CRadioButtonGroup | ( | void |  | ) |
| inline

Destructor.

Definition at line 155 of file cradiobuttongroup.hxx.

## Member Function Documentation

## ◆ drawContents()

void CRadioButtonGroup::drawContents | ( | CGraphicsPort * | port | ) |
| protectedvirtual

Draw the area of this widget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters

  port | The CGraphicsPort to draw to.

See also
  redraw()

Reimplemented from NXWidgets::CNxWidget.

Definition at line 341 of file cradiobuttongroup.cxx.

## ◆ getPreferredDimensions()

void CRadioButtonGroup::getPreferredDimensions | ( | CRect & | rect | ) | const
| virtual

Insert the dimensions that this widget wants to have into the rect passed in as a parameter. All coordinates are relative to the widget's parent. Value is based on the length of the largest string in the set of options.

Parameters

  rect | Reference to a rect to populate with data.

Reimplemented from NXWidgets::CNxWidget.

Definition at line 238 of file cradiobuttongroup.cxx.

## ◆ getSelectedIndex()

const int CRadioButtonGroup::getSelectedIndex | ( | void |  | ) | const
| virtual

Gets the index of the selected widget.

Returns
  The index of the selected widget.

Definition at line 173 of file cradiobuttongroup.cxx.

## ◆ getSelectedWidget()

const CRadioButton * CRadioButtonGroup::getSelectedWidget | ( | void |  | ) | const
| virtual

Gets a pointer to the selected widget.

Returns
  Pointer to the selected widget.

Definition at line 162 of file cradiobuttongroup.cxx.

## ◆ handleClickEvent()

void CRadioButtonGroup::handleClickEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handle a mouse click event.

Parameters

  e | The event data.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 285 of file cradiobuttongroup.cxx.

## ◆ handleDoubleClickEvent()

void CRadioButtonGroup::handleDoubleClickEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handle a mouse double-click event.

Parameters

  e | The event data.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 296 of file cradiobuttongroup.cxx.

## ◆ handleReleaseEvent()

void CRadioButtonGroup::handleReleaseEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handle a mouse button release event that occurred within the bounds of the source widget.

Parameters

  e | The event data.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 307 of file cradiobuttongroup.cxx.

## ◆ handleReleaseOutsideEvent()

void CRadioButtonGroup::handleReleaseOutsideEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handle a mouse button release event that occurred outside the bounds of the source widget.

Parameters

  e | The event data.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 319 of file cradiobuttongroup.cxx.

## ◆ newRadioButton()

CRadioButton * CRadioButtonGroup::newRadioButton | ( | nxgl_coord_t | x,
|  | nxgl_coord_t | y,
|  | nxgl_coord_t | width,
|  | nxgl_coord_t | height
| ) |  |

Simple method for adding a new radio button to the group. This should be used in preference to the usual addWidget() method, as this method automatically resizes the group.

Parameters

  x | The x coordinate of the new button, relative to this widget.
  y | The y coordinate of the new button, relative to this widget.
  width | The width of the new button.
  height | The height of the new button.

Definition at line 130 of file cradiobuttongroup.cxx.

## ◆ setSelectedIndex()

void CRadioButtonGroup::setSelectedIndex | ( | int | index | ) |
| virtual

Selects the widget at the specified index.

Parameters

  index | The index of the widget to select.

Definition at line 220 of file cradiobuttongroup.cxx.

## ◆ setSelectedWidget()

void CRadioButtonGroup::setSelectedWidget | ( | CRadioButton * | widget | ) |
| virtual

Sets the selected radio button to the supplied widget.

Parameters

  widget | The radio button to select.

Definition at line 194 of file cradiobuttongroup.cxx.

## Member Data Documentation

## ◆ m_pWidgetControl

CWidgetControl* NXWidgets::CRadioButtonGroup::m_pWidgetControl
| protected

The controlling widget

Definition at line 115 of file cradiobuttongroup.hxx.

## ◆ m_selectedWidget

CRadioButton* NXWidgets::CRadioButtonGroup::m_selectedWidget
| protected

Pointer to the currently selected radio button

Definition at line 116 of file cradiobuttongroup.hxx.

The documentation for this class was generated from the following files:

- cradiobuttongroup.hxx
- cradiobuttongroup.cxx